1
$\begingroup$

I'm trying out the latest Blender 2.8 beta (tried both 15th and 16th of December) and I can't get Blender to detect my keyboard. No key works. If I look in the user prefs/input it's completely empty. Is this a known bug or am I missing something? It all works without problems in 2.79.

There's an error when starting in command line:

C:\>D:\blender-2.80.0-git.4488056f3d9-windows64\blender.exe
    Read prefs: C:\Users\Simon\AppData\Roaming\Blender Foundation\Blender\2.80\config\userpref.blend
    found bundled python: D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python
    Traceback (most recent call last):
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\addon_utils.py", line 351, in enable
        mod = __import__(module_name)
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\addons\io_scene_gltf2\__init__.py", line 24, in <module>
        from .io.com.gltf2_io_debug import Log
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\addons\io_scene_gltf2\io\com\gltf2_io_debug.py", line 20, in <module>
        import logging
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\logging\__init__.py", line 26, in <module>
        import sys, os, time, io, traceback, warnings, weakref, collections.abc
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\traceback.py", line 5, in <module>
        import linecache
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\linecache.py", line 11, in <module>
        import tokenize
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\tokenize.py", line 33, in <module>
        import re
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\re.py", line 122, in <module>
        import enum
    ImportError: bad magic number in 'enum': b'\x03\xf3\r\n'

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
        main()
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\__init__.py", line 78, in main
        utils.load_scripts()
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 273, in load_scripts
        _initialize()
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\addon_utils.py", line 47, in _initialize
        enable(addon.module)
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\addon_utils.py", line 359, in enable
        handle_error(ex)
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\addon_utils.py", line 299, in handle_error
        import traceback
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\traceback.py", line 5, in <module>
        import linecache
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\linecache.py", line 11, in <module>
        import tokenize
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\tokenize.py", line 33, in <module>
        import re
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\re.py", line 122, in <module>
        import enum
    ImportError: bad magic number in 'enum': b'\x03\xf3\r\n'
    Traceback (most recent call last):
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 186, in register_module_call
        register()
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\startup\bl_operators\__init__.py", line 69, in register
        register_class(cls)
    ValueError: register_class(...): already registered as a subclass

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\__init__.py", line 81, in <module>
        main()
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\__init__.py", line 78, in main
        utils.load_scripts()
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 261, in load_scripts
        test_register(mod)
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 228, in test_register
        register_module_call(mod)
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\scripts\modules\bpy\utils\__init__.py", line 188, in register_module_call
        import traceback
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\traceback.py", line 5, in <module>
        import linecache
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\linecache.py", line 11, in <module>
        import tokenize
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\tokenize.py", line 33, in <module>
        import re
      File "D:\blender-2.80.0-git.4488056f3d9-windows64\2.80\python\lib\re.py", line 122, in <module>
        import enum
    ImportError: bad magic number in 'enum': b'\x03\xf3\r\n'

    location: <unknown location>:-1

    location: <unknown location>:-1
    Keymap: '3D View Tool: Select Box' not found for tool 'Select Box'
$\endgroup$
  • $\begingroup$ I'm on Windows 10 $\endgroup$ – Simon Björk Dec 16 '18 at 16:15
0
$\begingroup$

After compiling 2.80 in Linux I had similar problem, no keys were working and this error was repeated infinitely:

Keymap: '3D View Tool: Select Box' not found for tool 'Select Box'

By googling this message I have found you question. I solved the issue by removing ~/.config/blender/2.80 - after this everything worked.

It was a bit strange that my own build did not work with my existing user preferences, since daily builds worked just fine with them, but I guess something was wrong, since after recreating them and enabling similar set of addons everything works just fine.

In non-Linux OSes path to user preferences is much longer:

Windows Vista/7/8/10: C:\Users\username\AppData\Roaming\Blender Foundation\Blender
Windows XP: C:\Documents and Settings\username\Application Data\Blender Foundation\Blender
Mac OS X: /Users/{user}/Library/Application Support/Blender

Navigate there and try to remove or rename 2.80 folder.

$\endgroup$
  • $\begingroup$ On every OS since Windows XP, you simply can replace the long path to "Roaming" with "%AppData%". This will take you directly to the currently logged-on user's Roaming profile. $\endgroup$ – metaphor_set Aug 25 at 14:06
0
$\begingroup$

I'm having the same issue and got this response on the Blender website.

It looks like conflicting settings with some old version.

Try the Blender zipped version.

enter image description here

Or clean uninstall old blender files

Load Factory Settings & Save Startup File Also Edit -> Preferences Load Factory Setting & Save

enter image description here

Then try a new project.

For a smooth Blender experience, update your graphics drivers to the latest version from the official site.

$\endgroup$
  • $\begingroup$ If this works, or if you've found another solution please update. $\endgroup$ – MahmoudThePeltist Aug 25 at 13:04

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.